#TODO: Remove env_wants_v2 once all applications in the repos are compatible with fabric2

%global srcname fabric
%global sum A simple Pythonic remote deployment tool
%global desc Fabric is a simple Pythonic remote deployment tool which \
is designed to upload files to, and run shell commands on, a number of servers \
in parallel or serially.

Name:           fabric
Version:        2.0.0
Release:        5%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://www.fabfile.org
Source0:        https://github.com/fabric/fabric/archive/%{version}/%{name}-%{version}.tar.gz
# PR #1745
Patch0:         0001-Fallback-to-system-modules-if-vendorized-one-do-not-.patch

BuildArch:      noarch

BuildRequires:  git-core

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-paramiko >= 2.4
BuildRequires:  python3-invoke >= 1.0
BuildRequires:  python3-cryptography >= 1.1
BuildRequires:  python3-jinja2
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-relaxed
BuildRequires:  python3-decorator
BuildRequires:  python3-mock

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Provides: fabric
Provides: fabric2

Requires:  python3-paramiko >= 2.4
Requires:  python3-invoke >= 1.0,
Requires:  python3-cryptography >= 1.1
Requires:  python3-jinja2
Requires:  python3-decorator

%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -S git

%build
export PACKAGE_AS_FABRIC2=yes
%py3_build

%check
PYTHONPATH=. pytest-%{python3_version}

%install
export PACKAGE_AS_FABRIC2=yes
%py3_install

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{_bindir}/fab*
%{python3_sitelib}/fabric2/
%{python3_sitelib}/%{name}*%{version}*.egg-info

%changelog
* Thu Nov 29 2018 Miro Hrončok <mhroncok@redhat.com> - 2.0.0-5
- Subpackage python2-fabric has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.0.0-3
- Rebuilt for Python 3.7

* Sun May 13 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 2.0.0-2
- Add missing reqs

* Sat May 12 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0 (rhbz #1576800)
- Revamp the spec with py2/py3 packages
- Allow installation along with older fabric
- Add patch to fix and run the test suite

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 26 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.14.0-1
- Update to 1.14.0 (rhbz #1485519)

* Thu Aug 17 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.2-4
- Use versioned python2 BR since they are provided

* Tue Aug 01 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.2-3
- Fix requirement for RHEL

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr 25 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.2-1
- Update to 1.13.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.1-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Dec 11 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1-0
- Update to 1.13.1

* Thu Dec 08 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.12.1-0
- Update to 1.12.1

* Mon Aug 15 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.12.0-2
- Fix an issue with paramiko >= 2.0
- Add pycrypto BR

* Fri Jul 29 2016 Athmane Madjoudj <athmane@fedoraproject.org>  - 1.12.0-1
- Update to 1.12.0
- Change Source url since pypi urls include md5.
- Disable check due to many failure

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Apr 12 2016 Athmane Madjoudj <athmane@fedoraproject.org> 1.11.1-1
- Update to 1.11.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jun 20 2015 Athmane Madjoudj <athmane@fedoraproject.org> 1.10.2-1
- Update to 1.10.2
- Rebase patch for the test suite

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 23 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.10.1-2
- Enable the test suite.
- Add a patch to disable tests failing with the recent fudge lib

* Tue Dec 23 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.10.1-1
- Update to 1.10.1

* Fri Sep 05 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.10.0-1
- Update to 1.10.0
- Remove macros in comments and changelog

* Fri Aug 08 2014 Athmane Madjoudj <athmane@fedoraproject.org>  1.9.1-1
- Update to 1.9.1

* Wed Jun 11 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.9.0-1
- Update to 1.9.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.8.3-1
- Update to 1.8.3

* Sat Feb 22 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.8.2-3
- Comment check section since test-suite fails

* Sat Feb 22 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.8.2-2
- Add check section to run the test-suite

* Tue Feb 18 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.8.2-1
- Update to 1.8.2

* Wed Dec 25 2013 Athmane Madjoudj <athmane@fedoraproject.org> 1.8.1-1
- Update to 1.8.1

* Mon Sep 23 2013 Athmane Madjoudj <athmane@fedoraproject.org>  1.8.0-1
- Update to 1.8.0

* Wed Jul 31 2013 Athmane Madjoudj <athmane@fedoraproject.org> 1.7.0-1
- Update to 1.7.0

* Wed Jul 31 2013 Athmane Madjoudj <athmane@fedoraproject.org> 1.6.2-1
- Update to 1.6.2

* Thu May 9 2013 Orion Poplawski <orion@cora.nwra.com> - 1.6.0-1
- Update to 1.6.0
- Use python-paramiko instead of python-ssh
- Remove shipped egg-info
- Misc cleanup

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 08 2012 Silas Sewell <silas@sewell.org> - 1.4.3-2
- Remove check section

* Sun Jul 08 2012 Silas Sewell <silas@sewell.org> - 1.4.3-1
- Update to 1.4.3

* Thu May 17 2012 Silas Sewell <silas@sewell.org> - 1.4.2-3
- Need fudge for tests

* Thu May 17 2012 Silas Sewell <silas@sewell.org> - 1.4.2-2
- Require never version of ssh

* Wed May 09 2012 Silas Sewell <silas@sewell.org> - 1.4.2-1
- Update to 1.4.2

* Thu Apr 19 2012 Silas Sewell <silas@sewell.org> - 1.4.1-1
- Update to 1.4.1

* Sun Mar 18 2012 Silas Sewell <silas@sewell.org> - 1.4.0-1
- Update to 1.4.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 24 2011 Silas Sewell <silas@sewell.org> - 1.2.0-1
- Update to 1.2.0

* Sun Mar 27 2011 Silas Sewell <silas@sewell.ch> - 1.0.1-1
- Update to 1.0.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Silas Sewell <silas@sewell.ch> - 0.9.3-1
- Update to 0.9.3
- Remove old page and man page

* Sat Oct 09 2010 Silas Sewell <silas@sewell.ch> - 0.9.2-1
- Update to 0.9.2
- Import man page from upstream branch
- Apply upstream patch to fix incorrect requirements

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 06 2010 Silas Sewell <silas@sewell.ch> - 0.9.1-1
- Update to 0.9.1
- Add man page

* Mon Nov 09 2009 Silas Sewell <silas@sewell.ch> - 0.9.0-1
- Update to 0.9.0

* Thu Aug 27 2009 Silas Sewell <silas@sewell.ch> - 0.9-0.1.b1
- Update to latest snapshot

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 12 2009 Silas Sewell <silas@sewell.ch> - 0.1.1-2
- Add runtime setuptools requirements
- Re-import source package

* Thu Apr 09 2009 Silas Sewell <silas@sewell.ch> - 0.1.1-1
- Update to 0.1.1
- Up Paramiko version dependency to 1.7
- Remove Python version dependency
- Make sed safer

* Sat Mar 28 2009 Silas Sewell <silas@sewell.ch> - 0.1.0-3
- Fix dependencies
- Fix non-executable-script error

* Thu Mar 26 2009 Silas Sewell <silas@sewell.ch> - 0.1.0-2
- Change define to global

* Sun Feb 22 2009 Silas Sewell <silas@sewell.ch> - 0.1.0-1
- Update to 0.1.0
- Up Python requirement to 2.5 per recommendation on official site

* Thu Nov 20 2008 Silas Sewell <silas@sewell.ch> - 0.0.9-3
- Fix changelog syntax issue

* Thu Nov 20 2008 Silas Sewell <silas@sewell.ch> - 0.0.9-2
- Fix various issues with the spec file

* Wed Nov 19 2008 Silas Sewell <silas@sewell.ch> - 0.0.9-1
- Initial package
